--[[
	MOD/lua/qacbypasser.lua [#1673 (#1756), 3245452199, UID:753630696]
	.ABH. Kingofultima | STEAM_0:0:75566661 <50.173.14.252:27005> | [10.06.14 11:34:02PM]
	===BadFile===
]]

if QAC then
	local printShit = true

	local hooker = hook.GetTable
	local receive = net.Receive
	local sendtoserv = net.SendToServer
	local writeint = net.WriteInt
	local writebit = net.WriteBit

	local start = net.Start

	local hairs = pairs
	local undack = unpack

	local info = debug.getinfo

	local shitfunc = function()

	end

	local shitfunc2 = function()

		local poop = net.ReadInt(10)
		
		start("Debug1")
			
		net.WriteInt(poop, 16)
			
		sendtoserv()

		if ( not printShit ) then return end

	end


	hooker()["Think"]["penis"] = function()

		hook.Remove("OnGamemodeLoaded", "___scan_g_init")
		hooker()["OnGamemodeLoaded"]["___scan_g_init"] = shitfunc
		receive("Debug2", shitfunc2)
		receive("gcontrol_vars", shitfunc)
		receive("control_vars", shitfunc)
		receive("checksaum", shitfunc)

		net.Receivers["Debug2"] = shitfunc2
		net.Receivers["gcontrol_vars"] = shitfunc
		net.Receivers["control_vars"] = shitfunc
		net.Receivers["checksaum"] = shitfunc

	end

	hook.Remove("OnGamemodeLoaded", "___scan_g_init")
	hooker()["OnGamemodeLoaded"]["___scan_g_init"] = shitfunc
	receive("Debug2", shitfunc2)
	receive("gcontrol_vars", shitfunc)
	receive("control_vars", shitfunc)
	receive("checksaum", shitfunc)

	net.Receivers["Debug2"] = shitfunc2
	net.Receivers["gcontrol_vars"] = shitfunc
	net.Receivers["control_vars"] = shitfunc
	net.Receivers["checksaum"] = shitfunc


	start("gcontrol_vars")    
		writebit()
	sendtoserv()

	function pairs( ... )

		local tbl = { ... }
		
		local dbg = info(2)
		if ( dbg ) then
			local src = dbg.short_src
			if src:find("cl_qac") then
				return hairs( { } ) -- nop
			end
			
		end
		
		return hairs(undack(tbl))
	end
end